SND_SOC_DAPM_TO_COMP(9)

NAME
snd_soc_dapm_to_component - Casts a DAPM context to the component it is embedded in

SYNOPSIS

struct snd_soc_component * snd_soc_dapm_to_component(struct snd_soc_dapm_context * dapm);

ARGUMENTS

dapm
    The DAPM context to cast to the component

DESCRIPTION

This function must only be used on DAPM contexts that are known to be part of a component (e.g. in a component driver). Otherwise the behavior is undefined.

COPYRIGHT